package com.steerinfo.ems.trmindextype.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.trmindextype.model.TRmIndexType;
import com.steerinfo.ems.trmindextype.mapper.TRmIndexTypeMapper;
import com.steerinfo.ems.trmindextype.service.ITRmIndexTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Set;

/**
 * TRmIndexType服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-22 04:44
 * 类描述
 * 修订历史：
 * 日期：2019-10-22
 * 作者：generator
 * 参考：
 * 描述：TRmIndexType服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tRmIndexTypeService")
public class TRmIndexTypeServiceImpl extends BaseServiceImpl<TRmIndexType, String> implements ITRmIndexTypeService {

    @Autowired
    private TRmIndexTypeMapper tRmIndexTypeMapper;

    @Override
    protected IBaseMapper<TRmIndexType, String> getMapper() {
        return tRmIndexTypeMapper;
    }

    @Override
    public Set<String> getCombinedPrimaryKey() {
        return tRmIndexTypeMapper.getCombinedPrimaryKey();
    }

    @Override
    public void deleteByCompositePrimaryKey(TRmIndexType tRmIndexType) {
        tRmIndexTypeMapper.deleteByCompositePrimaryKey(tRmIndexType);
    }

    @Override
    public List<TRmIndexType> getIdAndName(String indexcol) {
        return tRmIndexTypeMapper.getIdAndName(indexcol);
    }


}
